Bug 960962 - [abrt] dbus-x11-1.6.8-5.fc19: __select_nocancel: Process /usr/bin/dbus-launch was killed by signal 5 (SIGTRAP)
[abrt] dbus-x11-1.6.8-5.fc19: __select_nocancel: Process /usr/bin/dbus-launch...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dbus (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:2bf3f9ba7178a8752dbca248c3b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-08 07:58 EDT by Patryk Zawadzki
Modified: 2015-02-17 10:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:11:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (3.96 KB, text/plain)
2013-05-08 07:58 EDT, Patryk Zawadzki
no flags Details
File: cgroup (129 bytes, text/plain)
2013-05-08 07:58 EDT, Patryk Zawadzki
no flags Details
File: core_backtrace (182 bytes, text/plain)
2013-05-08 07:58 EDT, Patryk Zawadzki
no flags Details
File: dso_list (644 bytes, text/plain)
2013-05-08 07:58 EDT, Patryk Zawadzki
no flags Details
File: environ (528 bytes, text/plain)
2013-05-08 07:58 EDT, Patryk Zawadzki
no flags Details
File: limits (1.29 KB, text/plain)
2013-05-08 07:58 EDT, Patryk Zawadzki
no flags Details
File: maps (3.41 KB, text/plain)
2013-05-08 07:58 EDT, Patryk Zawadzki
no flags Details
File: open_fds (216 bytes, text/plain)
2013-05-08 07:58 EDT, Patryk Zawadzki
no flags Details
File: proc_pid_status (929 bytes, text/plain)
2013-05-08 07:59 EDT, Patryk Zawadzki
no flags Details
File: var_log_messages (13.44 KB, text/plain)
2013-05-08 07:59 EDT, Patryk Zawadzki
no flags Details

  None (edit)
Description Patryk Zawadzki 2013-05-08 07:58:37 EDT
Version-Release number of selected component:
dbus-x11-1.6.8-5.fc19

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        dbus-launch --sh-syntax --exit-with-session
crash_function: __select_nocancel
executable:     /usr/bin/dbus-launch
kernel:         3.9.0-301.fc19.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: 

Truncated backtrace:
[New LWP 1595]
Core was generated by `dbus-launch --sh-syntax --exit-with-session'.
Program terminated with signal 5, Trace/breakpoint trap.
#0  0x00007fca729cf633 in __select_nocancel () at ../sysdeps/unix/syscall-template.S:81
81	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)

Thread 1 (LWP 1595):
#0  0x00007fca729cf633 in __select_nocancel () at ../sysdeps/unix/syscall-template.S:81
No locals.
#1  0x00007fca7320404b in kill_bus_when_session_ends () at dbus-launch.c:543
        tty_fd = -1
        empty_mask = {__val = {0 <repeats 16 times>}}
        x_fd = 5
        read_set = {fds_bits = {32, 0 <repeats 15 times>}}
        err_set = {fds_bits = {32, 0 <repeats 15 times>}}
        act = {__sigaction_handler = {sa_handler = 0x7fca732044a0 <signal_handler>, sa_sigaction = 0x7fca732044a0 <signal_handler>}, sa_mask = {__val = {0 <repeats 16 times>}}, sa_flags = 0, sa_restorer = 0x7fca72fdea50}
#2  babysit (read_bus_pid_fd=<optimized out>, child_pid=<optimized out>, exit_with_session=<optimized out>) at dbus-launch.c:703
        ret = <optimized out>
        dev_null_fd = <optimized out>
        s = <optimized out>
#3  main (argc=3, argv=<optimized out>) at dbus-launch.c:1079
        write_pid_fd_as_string = " \344\375r\312\177\000\000\340\357\037s\312\177\000\000\360\224\030\006\377\177\000\000\257\237\376r\312\177\000\000\001\000\000\000\377\177", '\000' <repeats 14 times>, "\377\177\000\000 \333\037s\312\177\000"
        write_address_fd_as_string = "c96bbb007ee69e6422752bec00000010\000\000\000\000\000\000\000\000\001\000\000\000\000\000\000\000&\260be\000\000\000\000h}\376r\312\177\000"
        prev_arg = <optimized out>
        shname = <optimized out>
        runprog = <optimized out>
        remaining_args = <optimized out>
        exit_with_session = <optimized out>
        binary_syntax = <optimized out>
        c_shell_syntax = <optimized out>
        bourne_shell_syntax = <optimized out>
        auto_shell_syntax = <optimized out>
        autolaunch = <optimized out>
        requires_arg = <optimized out>
        close_stderr = <optimized out>
        i = <optimized out>
        ret = <optimized out>
        bus_pid_to_launcher_pipe = {4, 5}
        bus_pid_to_babysitter_pipe = {8, 9}
        bus_address_to_launcher_pipe = {6, 7}
        config_file = <optimized out>
From                To                  Syms Read   Shared Object Library
0x00007fca72cc0f00  0x00007fca72d4433c  Yes         /lib64/libX11.so.6
0x00007fca72902410  0x00007fca72a44b70  Yes         /lib64/libc.so.6
0x00007fca726cea00  0x00007fca726da098  Yes         /lib64/libxcb.so.1
0x00007fca724c1ed0  0x00007fca724c29d0  Yes         /lib64/libdl.so.2
0x00007fca72fdeae0  0x00007fca72ff8c3a  Yes         /lib64/ld-linux-x86-64.so.2
0x00007fca722bdeb0  0x00007fca722beb0c  Yes         /lib64/libXau.so.6
0x00007fca720b21e0  0x00007fca720b93cc  Yes         /lib64/libnss_files.so.2
$1 = 0x0
No symbol "__glib_assert_msg" in current context.
rax            0xfffffffffffffdfe	-514
rbx            0x7fff06189200	140733295661568
rcx            0xffffffffffffffff	-1
rdx            0x0	0
rsi            0x7fff06189180	140733295661440
rdi            0x6	6
rbp            0x5	0x5
rsp            0x7fff061890c8	0x7fff061890c8
r8             0x0	0
r9             0x0	0
r10            0x7fff06189200	140733295661568
r11            0x246	582
r12            0xffffffff	4294967295
r13            0x5	5
r14            0x20	32
r15            0x20	32
rip            0x7fca729cf633	0x7fca729cf633 <__select_nocancel+10>
eflags         0x246	[ PF ZF IF ]
cs             0x33	51
ss             0x2b	43
ds             0x0	0
es             0x0	0
fs             0x0	0
gs             0x0	0
Dump of assembler code for function __select_nocancel:
   0x00007fca729cf629 <+0>:	mov    %rcx,%r10
   0x00007fca729cf62c <+3>:	mov    $0x17,%eax
   0x00007fca729cf631 <+8>:	syscall 
=> 0x00007fca729cf633 <+10>:	cmp    $0xfffffffffffff001,%rax
   0x00007fca729cf639 <+16>:	jae    0x7fca729cf66f <select+79>
   0x00007fca729cf63b <+18>:	retq   
End of assembler dump.
Comment 1 Patryk Zawadzki 2013-05-08 07:58:41 EDT
Created attachment 745213 [details]
File: backtrace
Comment 2 Patryk Zawadzki 2013-05-08 07:58:43 EDT
Created attachment 745214 [details]
File: cgroup
Comment 3 Patryk Zawadzki 2013-05-08 07:58:45 EDT
Created attachment 745215 [details]
File: core_backtrace
Comment 4 Patryk Zawadzki 2013-05-08 07:58:47 EDT
Created attachment 745216 [details]
File: dso_list
Comment 5 Patryk Zawadzki 2013-05-08 07:58:49 EDT
Created attachment 745217 [details]
File: environ
Comment 6 Patryk Zawadzki 2013-05-08 07:58:51 EDT
Created attachment 745218 [details]
File: limits
Comment 7 Patryk Zawadzki 2013-05-08 07:58:54 EDT
Created attachment 745219 [details]
File: maps
Comment 8 Patryk Zawadzki 2013-05-08 07:58:58 EDT
Created attachment 745220 [details]
File: open_fds
Comment 9 Patryk Zawadzki 2013-05-08 07:59:02 EDT
Created attachment 745221 [details]
File: proc_pid_status
Comment 10 Patryk Zawadzki 2013-05-08 07:59:08 EDT
Created attachment 745222 [details]
File: var_log_messages
Comment 11 robert fairb 2013-09-14 17:41:12 EDT
New bug id: 1008113

reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        dbus-launch --sh-syntax --exit-with-session
crash_function: __select_nocancel
executable:     /usr/bin/dbus-launch
kernel:         3.10.11-200.fc19.x86_64
package:        dbus-x11-1.6.12-1.fc19
reason:         Process /usr/bin/dbus-launch was killed by signal 6 (SIGABRT)
reported_to:    uReport: BTHASH=e3452b8e46382615602e2dc1050e90a2e8995cd6
runlevel:       N 5
uid:            1000
Comment 12 Fedora End Of Life 2015-01-09 13:04:34 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 10:11:40 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.